Name: NeTraMet
%define vendorversion 44
Version: 4.4
Release: alt1.3

Summary: NeTraMet - a network traffic accounting meter
Summary(ru_RU.KOI8-R): NeTraMet -       

License: GNU Emacs GPL
Group: System/Servers
URL: http://www.auckland.ac.nz/net/NeTraMet/ 

Source0: %name%vendorversion.tar.gz
Source1: fdutil42.pdf
Source2: nifty41.pdf
Source3: ntm43.pdf
Source4: usguid42.pdf
Source5: usguide.pdf
Source6: netramet.init
Source7: netflowmet.init
Source8: nemac.init
Source9: netramet.sysconfig
Source10: netflowmet.sysconfig
Source11: nemac.sysconfig

# Automatically added by buildreq on Wed Dec 11 2002
BuildRequires: XFree86-devel libpcap-devel
Requires: libpcap

%description
NeTraMet is a network accounting meter. It builds up packet and byte counts 
for traffic flows, which are defined by their end-point addresses. 
Addresses can be ethernet addresses, protocol addresses or 'transport' addresses, 
or any combination of these. NeTraMet provides a valuable tool for analysing 
network traffic flows, and should prove to be of interest to anyone interested 
in network monitoring, capacity planning, performance measurement, etc. 

%description -l ru_RU.KOI8-R
NeTraMet     PC- ,   
 Cisco NetFlow .     IP ,
    .


%prep
%setup -q -n %name%vendorversion
#%patch -p1

%build
%configure --sysconfdir=/etc/netramet --datadir=/usr/share

%make_build

%install
%makeinstall datadir=%buildroot%_docdir/%name-%version mibdir=%buildroot%_sysconfdir/sysconfig/netramet/mibs
mkdir -p %buildroot%_sysconfdir/sysconfig/netramet
#mkdir -p %buildroot%_sysconfdir/sysconfig/netramet/mibs
mkdir -p %buildroot%_sysconfdir/rc.d/init.d
install -m 0644 %{SOURCE9} %buildroot%_sysconfdir/sysconfig/netramet/netramet
install -m 0644 %{SOURCE10} %buildroot%_sysconfdir/sysconfig/netramet/netflowmet
install -m 0644 %{SOURCE11} %buildroot%_sysconfdir/sysconfig/netramet/nemac
install -m 0755 %{SOURCE6} %buildroot%_sysconfdir/rc.d/init.d/netramet
install -m 0755 %{SOURCE7} %buildroot%_sysconfdir/rc.d/init.d/netflowmet
install -m 0755 %{SOURCE8} %buildroot%_sysconfdir/rc.d/init.d/nemac
 
mkdir -p %buildroot%_docdir/%name-%version/pdf
install -m 0644 %{SOURCE1} %buildroot%_docdir/%name-%version/pdf
install -m 0644 %{SOURCE2} %buildroot%_docdir/%name-%version/pdf
install -m 0644 %{SOURCE3} %buildroot%_docdir/%name-%version/pdf
install -m 0644 %{SOURCE4} %buildroot%_docdir/%name-%version/pdf
install -m 0644 %{SOURCE5} %buildroot%_docdir/%name-%version/pdf

		

%files
%attr(0644,root,root) %doc %_docdir/%name-%version/examples/
%doc %_docdir/%name-%version/pdf
%_bindir/*
%_sysconfdir/rc.d/*
%attr(0640,root,root) %config(noreplace) %_sysconfdir/sysconfig/netramet/*
#%config(noreplace) %_sysconfdir/sysconfig/netramet/mibs/*

%changelog
* Wed Feb 12 2003 Victor V Ismakaev <ivv@altlinux.ru> 4.4-alt1.3
- fixed bug #0002193 (corrected $FLAGS in init-scripts)

* Tue Jan 28 2003 Victor V Ismakaev <ivv@altlinux.ru> 4.4-alt1.2
- rebuild for Master 2.2

* Mon Dec 16 2002 Victor V Ismakaev <ivv@altlinux.ru> 4.4-alt1.1
- fixed in %files section

* Mon Dec 09 2002 Victor V Ismakaev <ivv@altlinux.ru> 4.4-alt1
- First adaptating for Alt Linux
